<?php
/**
 * The template for displaying comments
 *
 * This is the template that displays the area of the page that contains both the current comments
 * and the comment form.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package BBase_Code
 */

/*
 * If the current post is protected by a password and
 * the visitor has not yet entered the password we will
 * return early without loading the comments.
 */
if ( post_password_required() ) {
	return;
}
?>

<div id="comments" class="comments-area">

	<?php
	comment_form();

	if ( have_comments() ) : ?>

		<?php the_comments_navigation(); ?>

		<ol class="comment-list">
		<?php
			wp_list_comments( array(
				'avatar_size' => 60,
				'max_depth'   => 2,
				'style'       => 'ol',
				'short_ping'  => true,
				'type'        => 'comment',
				'callback'	  => 'tbang_comment'
			) );
		?>
		</ol>

		<?php
		the_comments_navigation();

		if ( ! comments_open() ) :
			?>
			<p class="no-comments"><?php esc_html_e( 'Comments are closed.', 'bbase-code' ); ?></p>
			<?php
		endif;

	endif; 	
	?>

</div>
